Data Structures | Functions

# zip.c File Reference

`#include "wizard/studio.h"`
`#include "wizard/exception.h"`
`#include "wizard/exception-private.h"`
`#include "wizard/memory_.h"`
`#include "wizard/zip.h"`
`#include "zlib.h"`

## Data Structures
struct | _ZIPInfo
## Functions
WizardExport ZIPInfo * | AcquireZIPInfo (const size_t level)
WizardExport const StringInfo * | GetZIPChaos (const ZIPInfo *zip_info)
WizardExport ZIPInfo * | DestroyZIPInfo (ZIPInfo *zip_info)
static voidpf | AcquireZIPMemory (voidpf context, uInt items, uInt size)
static void | RelinquishZIPMemory (voidpf context, voidpf memory)
WizardExport WizardBooleanType | IncreaseZIP (ZIPInfo *zip_info, const StringInfo *message, ExceptionInfo *exception)
WizardExport WizardBooleanType | RestoreZIP (ZIPInfo *zip_info, const size_t length, const StringInfo *message, ExceptionInfo *exception)

## Function Documentation

WizardExport ZIPInfo* AcquireZIPInfo | ( | const size_t | level | ) |

References AcquireStringInfo(), AcquireWizardMemory(), _ZIPInfo::chaos, EntropyError, _ZIPInfo::level, MemoryError, ResetWizardMemory(), _ZIPInfo::signature, ThrowWizardFatalError, and _ZIPInfo::timestamp.

Referenced by AcquireEntropyInfo().

static voidpf AcquireZIPMemory | ( | voidpf | context,
|  | uInt | items,
|  | uInt | size |
| ) |  |  | `[static]`

References AcquireQuantumMemory().

WizardExport ZIPInfo* DestroyZIPInfo | ( | ZIPInfo * | zip_info | ) |

References _ZIPInfo::chaos, DestroyStringInfo(), EntropyDomain, GetWizardModule, LogWizardEvent(), RelinquishWizardMemory(), _ZIPInfo::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by DestroyEntropyInfo().

WizardExport const StringInfo* GetZIPChaos | ( | const ZIPInfo * | zip_info | ) |

References _ZIPInfo::chaos, EntropyDomain, GetWizardModule, LogWizardEvent(), _ZIPInfo::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by GetEntropyChaos().

WizardExport WizardBooleanType IncreaseZIP | ( | ZIPInfo * | zip_info,
|  | const StringInfo * | message,
|  | ExceptionInfo * | exception |
| ) |  |  |

References _ZIPInfo::chaos, EntropyDomain, GetStringInfoDatum(), GetStringInfoLength(), GetWizardModule, _ZIPInfo::level, LogWizardEvent(), SetStringInfoLength(), _ZIPInfo::signature, ThrowWizardException(), TraceEvent, WizardAssert, WizardFalse, WizardSignature, and WizardTrue.

Referenced by IncreaseEntropy().

static void RelinquishZIPMemory | ( | voidpf | context,
|  | voidpf | memory |
| ) |  |  | `[static]`

References RelinquishWizardMemory().

WizardExport WizardBooleanType RestoreZIP | ( | ZIPInfo * | zip_info,
|  | const size_t | length,
|  | const StringInfo * | message,
|  | ExceptionInfo * | exception |
| ) |  |  |

References _ZIPInfo::chaos, EntropyDomain, GetStringInfoDatum(), GetStringInfoLength(), GetWizardModule, LogWizardEvent(), SetStringInfoLength(), _ZIPInfo::signature, ThrowWizardException(), TraceEvent, WizardAssert, WizardFalse, WizardSignature, and WizardTrue.

Referenced by RestoreEntropy().